summaryrefslogtreecommitdiff
path: root/automated/bin
diff options
context:
space:
mode:
authorChase Qi <chase.qi@linaro.org>2016-08-18 13:18:50 +0800
committerMilosz Wasilewski <milosz.wasilewski@linaro.org>2016-08-25 10:06:18 +0000
commit09edc7f6fcaf627eee88ab4447c749c55ee2100c (patch)
tree40a54061560828e3c78c9270ed70717f6c1ab893 /automated/bin
parent706092ca46da3f87ebd6ad70907ea24cbbd3b1ef (diff)
v2: initial commit
- Added utils, bin, and lib folders and related tools - Added Linux smoke test case as an example - Added test plan example that used to test test-runner Change-Id: I73693108db219cb67afc99525d80cab93f1eb9ea Signed-off-by: Chase Qi <chase.qi@linaro.org>
Diffstat (limited to 'automated/bin')
-rwxr-xr-xautomated/bin/arm64/busyboxbin0 -> 1914688 bytes
-rwxr-xr-xautomated/bin/armeabi/busyboxbin0 -> 1356332 bytes
-rwxr-xr-xautomated/bin/setenv.sh13
l---------automated/bin/test-runner1
4 files changed, 14 insertions, 0 deletions
diff --git a/automated/bin/arm64/busybox b/automated/bin/arm64/busybox
new file mode 100755
index 0000000..6d09a07
--- /dev/null
+++ b/automated/bin/arm64/busybox
Binary files differ
diff --git a/automated/bin/armeabi/busybox b/automated/bin/armeabi/busybox
new file mode 100755
index 0000000..cebf6cf
--- /dev/null
+++ b/automated/bin/armeabi/busybox
Binary files differ
diff --git a/automated/bin/setenv.sh b/automated/bin/setenv.sh
new file mode 100755
index 0000000..c0a3f79
--- /dev/null
+++ b/automated/bin/setenv.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+export REPO_PATH="$(pwd)"
+echo "REPO_PATH: ${REPO_PATH}"
+
+if ! [ -d "${REPO_PATH}/automated/bin" ]; then
+ echo "ERROR: Please execute the below command from test-definitions DIR"
+ echo " . ./automated/bin/setenv.sh"
+ exit 1
+fi
+
+export PATH="${REPO_PATH}/automated/bin":"${PATH}"
+echo "BIN_PATH: ${PATH}"
diff --git a/automated/bin/test-runner b/automated/bin/test-runner
new file mode 120000
index 0000000..0e7f8bc
--- /dev/null
+++ b/automated/bin/test-runner
@@ -0,0 +1 @@
+../utils/test-runner.py \ No newline at end of file